Bug 170346 - No sound on Dell Latitude D810 laptop (Intel ICH6 audio controller)
No sound on Dell Latitude D810 laptop (Intel ICH6 audio controller)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 17:17 EDT by Ingemar Nilsson
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingemar Nilsson 2005-10-10 17:17:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I am unable to get the sound to work on my Dell Latitude D810 laptop. The system-config-soundcard utility says:

The following audio device was detected:

Vendor: Intel
Model: Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller
Module: snd-intel8x0

When I click "Play test sound", there is only silence. I have ensured that the sound is not muted and that the volume is up.


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-soundcard
2. Click "Play Test Sound" button
3. Listen


Actual Results:  Silence


Expected Results:  Sound


Additional info:

I specified kernel-2.6.13-1.1526_FC4 above, but actually I have been unable to get the sound to work in all FC4 kernels that I have tried:

2.6.11-1.1369_FC4
2.6.12-1.1387_FC4
2.6.12-1.1390_FC4
2.6.12-1.1398_FC4
2.6.12-1.1447_FC4
2.6.12-1.1456_FC4
2.6.13-1.1526_FC4

Relevant output from lspci -v:

00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
        Subsystem: Dell: Unknown device 0186
        Flags: bus master, medium devsel, latency 0, IRQ 11
        I/O ports at ed00 [size=256]
        I/O ports at ec40 [size=64]
        Memory at dffffe00 (32-bit, non-prefetchable) [size=512]
        Memory at dffffd00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [50] Power Management version 2

Relevant output from lsmod:

Module                  Size  Used by
snd_intel8x0m          19973  0 
snd_intel8x0           37505  0 
snd_ac97_codec         80829  2 snd_intel8x0m,snd_intel8x0
snd_seq_dummy           3781  0 
snd_seq_oss            42945  0 
snd_seq_midi_event     10177  1 snd_seq_oss
snd_seq                78033  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          9165  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            53105  0 
snd_mixer_oss          18241  1 snd_pcm_oss
snd_pcm               112201  4 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              42437  2 snd_seq,snd_pcm
snd                    62021  10 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              12449  1 snd
snd_page_alloc         10825  3 snd_intel8x0m,snd_intel8x0,snd_pcm
Comment 1 Ingemar Nilsson 2005-10-10 17:32:09 EDT
I now checked the BIOS setup, and it shows the following information:

Audio Controller: Sigmatel 9751
Comment 2 Dave Jones 2005-11-10 14:30:14 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 3 Dave Jones 2006-02-03 01:47:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:45:18 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.